Bug 1727506 (python-spikeextractors) - Review Request: python-spikeextractors - Python module for extracting recorded and spike sorted extracellular data from different file types and formats [NEEDINFO]
Summary: Review Request: python-spikeextractors - Python module for extracting recorde...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: python-spikeextractors
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-07-07 03:56 UTC by Luis Segundo
Modified: 2021-02-21 11:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-21 11:17:23 UTC
Type: ---
andymenderunix: fedora-review?
sanjay.ankur: needinfo? (luis)


Attachments (Terms of Use)

Description Luis Segundo 2019-07-07 03:56:34 UTC
Spec URL: https://blackfile.fedorapeople.org/spikeextractors/python-spikeextractors.spec
SRPM URL: https://blackfile.fedorapeople.org/spikeextractors/python-spikeextractors-0.5.3-1.fc30.src.rpm
Description: SpikeExtractors attempts to standardize data retrieval rather than data storage. This eliminates the need for shared file formats and allows 
for the creation of new tools built off of our data retrieval guidelines.

In addition to implementing multi-format I/O for various formats, the framework makes it possible to develop software tools that are agnostic 
to the underlying formats by working with the standardized python objects (recording and sorting extractors). 
These include processing routines (filters, sorting algorithms, downstream processing), and visualization widgets.
It also provides mechanisms for lazy manipulation of recordings and sortings (concatenation, combination, subset extraction).

Fedora Account System Username:blackfile

Comment 2 Package Review 2020-08-15 00:45:19 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 3 Package Review 2020-11-13 00:47:07 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 4 Ankur Sinha (FranciscoD) 2020-11-13 09:18:27 UTC
Luis and Luis (:P): if you're not working on this please close the ticket (un-assign the NeuroFedora ticket too if there's one). That way someone else can take it up.

Cheers,
Ankur

Comment 5 Andy Mender 2020-11-15 15:25:16 UTC
Not quite sure what happened here. The request was assigned, but never processed? I'll go ahead and do it, in case the original Luis still needs it.
If not, I'll see whether it's possible to somehow re-assign this to myself so the package still has a chance of being added.

> Name:           python-%{pypi_name}
> Version:        0.5.5

Version 0.9.0 is already out: https://github.com/SpikeInterface/spikeextractors/releases/tag/0.9.0

> %package -n     python3-%{pypi_name}
> Summary:        %{summary}
> %{?python_provide:%python_provide python3-%{pypi_name}}

The last line should be changed to:
%py_provides python3-%{pypi_name}

Some extra output from rpmlint:
Rpmlint
-------
Checking: python3-spikeextractors-0.5.5-1.fc32.noarch.rpm
          python-spikeextractors-0.5.5-1.fc32.src.rpm
python3-spikeextractors.noarch: E: summary-too-long C Python module for extracting recorded and spike sorted extra cellular data from different file types and formats
python3-spikeextractors.noarch: E: no-description-tag
python-spikeextractors.src: E: summary-too-long C Python module for extracting recorded and spike sorted extra cellular data from different file types and formats
python-spikeextractors.src: W: spelling-error %description -l en_US sortings -> sorting, sorting s, sortieing
python-spikeextractors.src: E: description-line-too-long C to the underlying formats by working with the standardized python objects (recording and sorting extractors).
python-spikeextractors.src: E: description-line-too-long C These include processing routines (filters, sorting algorithms, downstream processing), and visualization widgets.
python-spikeextractors.src: E: description-line-too-long C It also provides mechanisms for lazy manipulation of recordings and sortings (concatenation, combination, subset extraction).
python-spikeextractors.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 36)
2 packages and 0 specfiles checked; 6 errors, 2 warnings.


Other than that, the SPEC file looks good.

Full review below:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 77 files have unknown
     license. Detailed output of licensecheck in
     /data/rpmbuild/SPECS/python-spikeextractors/python-
     spikeextractors/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.8/site-
     packages, /usr/lib/python3.8
     Review: Haven't seen this before, but I'm pretty sure owning these is not needed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint


Installation errors
-------------------
INFO: mock.py version 2.6 starting (python version = 3.8.6)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.6
INFO: Mock Version: 2.6
Finish: chroot init
INFO: installing package(s): /data/rpmbuild/SPECS/python-spikeextractors/python3-spikeextractors-0.5.5-1.fc32.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 34 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /data/rpmbuild/SPECS/python-spikeextractors/python3-spikeextractors-0.5.5-1.fc32.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: python3-spikeextractors-0.5.5-1.fc32.noarch.rpm
          python-spikeextractors-0.5.5-1.fc32.src.rpm
python3-spikeextractors.noarch: E: summary-too-long C Python module for extracting recorded and spike sorted extra cellular data from different file types and formats
python3-spikeextractors.noarch: E: no-description-tag
python-spikeextractors.src: E: summary-too-long C Python module for extracting recorded and spike sorted extra cellular data from different file types and formats
python-spikeextractors.src: W: spelling-error %description -l en_US sortings -> sorting, sorting s, sortieing
python-spikeextractors.src: E: description-line-too-long C to the underlying formats by working with the standardized python objects (recording and sorting extractors).
python-spikeextractors.src: E: description-line-too-long C These include processing routines (filters, sorting algorithms, downstream processing), and visualization widgets.
python-spikeextractors.src: E: description-line-too-long C It also provides mechanisms for lazy manipulation of recordings and sortings (concatenation, combination, subset extraction).
python-spikeextractors.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 36)
2 packages and 0 specfiles checked; 6 errors, 2 warnings.




Source checksums
----------------
https://github.com/SpikeInterface/spikeextractors/archive/0.5.5/spikeextractors-0.5.5.tar.gz :
  CHECKSUM(SHA256) this package     : c42d0ce08ed1cde9ef6cb77958f0b1087337ba0574ed0e3159c83352ad4f1426
  CHECKSUM(SHA256) upstream package : c42d0ce08ed1cde9ef6cb77958f0b1087337ba0574ed0e3159c83352ad4f1426


Requires
--------
python3-spikeextractors (rpmlib, GLIBC filtered):
    python(abi)
    python3.8dist(numpy)
    python3dist(abi)
    python3dist(numpy)



Provides
--------
python3-spikeextractors:
    python-spikeextractors
    python3-spikeextractors
    python3.8dist(spikeextractors)
    python3dist(spikeextractors)

Comment 6 Ankur Sinha (FranciscoD) 2021-02-08 09:38:04 UTC
@luis@blackfile.net : are you interested in proceeding with this package please?
Otherwise, this should be marked as inactive closed, blocking "FE-DEADREVIEW". 

Andy, are you perhaps interested in packaging this up? We'd like it included in the NeuroFedora SIG's packages. So I'll be happy to review it if you can submit a new package review. 

https://fedoraproject.org/wiki/Package_Review_Process#Special_blocker_tickets

NeuroFedora tracker ticket:

https://pagure.io/neuro-sig/NeuroFedora/issue/248


Cheers,
Ankur

Comment 7 Andy Mender 2021-02-09 21:43:36 UTC
> Andy, are you perhaps interested in packaging this up? We'd like it included in the NeuroFedora SIG's packages. So I'll be happy to review it if you can submit a new package review. 

Sure thing! This has been a bit of a dead review to begin with. I took it, because I didn't want it to disappear.

I'll submit a new one and mark this one as FE-DEADREVIEW when I have a little more time.

Comment 8 Ankur Sinha (FranciscoD) 2021-02-10 08:33:39 UTC
Sounds good. Thanks very much.


Note You need to log in before you can comment on or make changes to this bug.